Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retorna uma lista paginada de descontos da organização
CHARGEFY_ACCESS_TOKEN
Authorization
page
integer
limit
sorting
string
-created_at
items
array
items[].id
items[].name
items[].type
fixed
percentage
items[].amount
type: fixed
items[].basisPoints
type: percentage
items[].duration
once
repeating
forever
items[].maxRedemptions
items[].redemptionsCount
pagination
object
curl -X GET "https://api.chargefy.io/api/v1/discounts/" \ -H "Authorization: Bearer $CHARGEFY_ACCESS_TOKEN"
import { Chargefy } from '@chargefy/sdk'; const chargefy = new Chargefy({ accessToken: process.env.CHARGEFY_ACCESS_TOKEN, }); const discounts = await chargefy.discounts.list();
{ "items": [ { "id": "disc_abc123", "name": "Desconto de Lançamento", "type": "percentage", "basisPoints": 2000, "duration": "once", "maxRedemptions": 100, "redemptionsCount": 23, "createdAt": "2026-02-01T10:00:00Z" } ], "pagination": { "total_count": 5, "max_page": 1 } }